<?php defined( 'ABSPATH' ) || exit;
/**
 * Получает ID первого фида. Используется на случай если get-параметр feed_id не указан.
 * 
 * @since 0.2.0
 *
 * @return string feed ID or (string)''
 */
function ip2oz_get_first_feed_id() {

	$ip2oz_settings_arr = univ_option_get( 'ip2oz_settings_arr' );
	if ( ! empty( $ip2oz_settings_arr ) ) {
		return (string) array_key_first( $ip2oz_settings_arr );
	} else {
		return '';
	}

}

/**
 * Получает ID последнего фида.
 * 
 * @since 0.2.0
 *
 * @return string feed ID or (string)''
 */
function ip2oz_get_last_feed_id() {

	$ip2oz_settings_arr = univ_option_get( 'ip2oz_settings_arr' );
	if ( ! empty( $ip2oz_settings_arr ) ) {
		return (string) array_key_last( $ip2oz_settings_arr );
	} else {
		return ip2oz_get_first_feed_id();
	}

}

/**
 * Wrapper for the `strip_tags` function.
 * 
 * @since 0.7.3
 *
 * @param mixed $tag_value - Required
 * @param array $enable_tags - Optional
 *
 * @return string
 */
function ip2oz_strip_tags( $tag_value, $enable_tags = [ 'p', 'a', 'br', 'ul', 'li' ] ) {

	if ( null === $tag_value ) {
		return (string) $tag_value;
	}
	$tag_value = strip_tags( $tag_value, $enable_tags );
	return $tag_value;

}

/**
 * Обновляет имена метаполей для товаров OZON.
 *
 * @param int $product_id 
 *
 * @return void
 */
function ip2oz_meta_name_fixer( $product_id ) {

	if ( get_post_meta( $product_id, '_ip2oz_prod_archive_status', true ) !== '' ) {
		$old_meta_value = get_post_meta( $product_id, '_ip2oz_prod_archive_status', true );
		$meta_name_prod_archive_status = '_ip2oz_prod_archive_status_' . '1';
		update_post_meta( $product_id, $meta_name_prod_archive_status, $old_meta_value );
		delete_post_meta( $product_id, '_ip2oz_prod_archive_status' );
	}

	if ( get_post_meta( $product_id, '_ip2oz_prod_id_on_ozon', true ) !== '' ) {
		$old_meta_value = get_post_meta( $product_id, '_ip2oz_prod_id_on_ozon', true );
		$meta_name_prod_id_on_ozon = '_ip2oz_prod_id_on_ozon_' . '1';
		update_post_meta( $product_id, $meta_name_prod_id_on_ozon, $old_meta_value );
		delete_post_meta( $product_id, '_ip2oz_prod_id_on_ozon' );		
	}

}